com.streambase.sb.unittest

## Class ServerManagerFactory

- java.lang.Object
- - com.streambase.sb.unittest.ServerManagerFactory

-     public class ServerManagerFactory
      extends Object

  Contains static methods for creating concrete `SBServerManager`
  Since:
    6.6

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SBServerManager` | `getEmbeddedServer()`
    `static SBServerManager` | `getEmbeddedServer(SBTestEnvironment testEnv)`
    `static SBServerManager` | `getEmbeddedServer(String confFilePath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEmbeddedServer

          public static SBServerManager getEmbeddedServer()
                                                   throws StreamBaseException

      Returns:
        a SBServerManager that represents a StreamBase server embedded in this JVM
      Throws:
        `StreamBaseException` - on failure to create the server

    - #### getEmbeddedServer

          public static SBServerManager getEmbeddedServer(SBTestEnvironment testEnv)
                                                   throws StreamBaseException

      Parameters:
        `testEnv` - the environment with which to set up this server
      Returns:
        a SBServerManager that represents a StreamBase server embedded in this JVM
      Throws:
        `StreamBaseException` - on failure to create the server
      See Also:
        `SBTestEnvironment`

    - #### getEmbeddedServer

          public static SBServerManager getEmbeddedServer(String confFilePath)
                                                   throws StreamBaseException

      Parameters:
        `confFilePath` - the path to the configuration file for this server to use
      Returns:
        a SBServerManager that represents a StreamBase server embedded in this JVM
      Throws:
        `StreamBaseException` - on failure to create the server
      Since:
        6.6.13

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.